Status: Closed Start date: Feb 18, 2016

Priority: Urgent Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 3.10.0

  

Infrastructure: Development, Pre-Production,

Production

  

Description

registry-publisher-1.2.6-3.10.1.jar as found in the smartgears 1.2.7-3.10.1 distribution still carry the log4j.properties file that breaks

the log4j global configuration.

I've pushed a fixed version on the ansible git repository and I'm using that file to overwrite the original one so that we can proceed

provisioning the dataminer nodes, while waiting for a proper fix.

History

#2 - Feb 18, 2016 12:34 PM - Roberto Cirillo

- Status changed from New to In Progress

#3 - Feb 18, 2016 02:24 PM - Roberto Cirillo

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

The new smartgears-distribution version: 1.2.7-3.10.1, is now available on nexus. (repository gcube-staging).

This new version contains the registry-publisher 1.2.6-3.10.1 without the log4j properties file.

It also doesn't contain the library "common-smartgears-utils".

#4 - Feb 18, 2016 02:30 PM - Andrea Dell'Amico

Thanks. I removed the workaround from the playbook.

I cannot test it on the production dataminer, but I think we can test on a dev host when possible.

#5 - Mar 03, 2016 03:56 PM - Roberto Cirillo

- Status changed from Resolved to Closed
